Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableReport.SummaryGroupFooterPrintWhenEvaluator

    java.lang.Object
      net.sf.jasperreports.components.table.fill.TableReport.SummaryGroupFooterPrintWhenEvaluator

All Implemented Interfaces:
  BuiltinExpressionEvaluator

Enclosing class:
  TableReport

    protected class TableReport.SummaryGroupFooterPrintWhenEvaluator

extends java.lang.Object
implements BuiltinExpressionEvaluator

Constructor Summary
`protected` | `TableReport.SummaryGroupFooterPrintWhenEvaluator()`

Method Summary
`protected void` | `ensureValue()`
`java.lang.Object` | `evaluate()`
`java.lang.Object` | `evaluateEstimated()`
`java.lang.Object` | `evaluateOld()`
`void` | `init(java.util.Map parametersMap, java.util.Map fieldsMap, java.util.Map variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReport.SummaryGroupFooterPrintWhenEvaluator

    protected TableReport.SummaryGroupFooterPrintWhenEvaluator()

Method Detail

### init

    public void init(java.util.Map parametersMap,
                     java.util.Map fieldsMap,
                     java.util.Map variablesMap,
                     WhenResourceMissingTypeEnum resourceMissingType)
              throws JRException

  Specified by:
    `init` in interface `BuiltinExpressionEvaluator`
  Throws:
    `JRException`

### ensureValue

    protected void ensureValue()

### evaluate

    public java.lang.Object evaluate()
                              throws JRExpressionEvalException

  Specified by:
    `evaluate` in interface `BuiltinExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateEstimated

    public java.lang.Object evaluateEstimated()
                                       throws JRExpressionEvalException

  Specified by:
    `evaluateEstimated` in interface `BuiltinExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateOld

    public java.lang.Object evaluateOld()
                                 throws JRExpressionEvalException

  Specified by:
    `evaluateOld` in interface `BuiltinExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com